package com.liquidnet.service.kylin.dao;


import lombok.Data;

import java.io.Serializable;

@Data
public class BannerDetailsListDao implements Serializable {

    private String bannersId;

    private String bannersName;

    private String coverImg;

    private Integer targetType;
    private String targetTypeName;

    private String targetObj;
    private String targetObjName;

    private Integer isOnline;
    private String isOnlineName;

    private String onlineStartTime;

    private String onlineEndTime;

    private Integer promotionType;
    private String promotionTypeName;

    private Integer bannersSort;

    private String remarks;

    private String  createdAt;

    private String updatedAt;

    public void setIsOnlineName(Integer isOnline){
        this.isOnline=isOnline;
        switch (isOnline){
            case 0:
                this.isOnlineName="下线";
                break;
            case 1:
                this.isOnlineName="上线";
                break;
            default:
                this.isOnlineName="--";
                break;
        }
    }

    public void setPromotionTypeName(Integer promotionType){
        this.promotionType=promotionType;
        switch (promotionType){
            case 1:
                this.promotionTypeName="全国";
                break;
            case 2:
                this.promotionTypeName="省份";
                break;
            default:
                this.promotionTypeName="--";
                break;
        }
    }
}
